org.apache.poi.xddf.usermodel.chart

## Class XDDFDataSourcesFactory

- java.lang.Object
- - org.apache.poi.xddf.usermodel.chart.XDDFDataSourcesFactory

-     @Beta
      public class XDDFDataSourcesFactory
      extends java.lang.Object

  Class `XDDFDataSourcesFactory` is a factory for `XDDFDataSource` instances.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static XDDFCategoryDataSource` | `fromArray(java.lang.String[] elements)`
    `static XDDFCategoryDataSource` | `fromArray(java.lang.String[] elements, java.lang.String dataRange)`
    `static XDDFCategoryDataSource` | `fromArray(java.lang.String[] elements, java.lang.String dataRange, int col)`
    `static <T extends java.lang.Number> XDDFNumericalDataSource<T>` | `fromArray(T[] elements)`
    `static <T extends java.lang.Number> XDDFNumericalDataSource<T>` | `fromArray(T[] elements, java.lang.String dataRange)`
    `static <T extends java.lang.Number> XDDFNumericalDataSource<T>` | `fromArray(T[] elements, java.lang.String dataRange, int col)`
    `static XDDFCategoryDataSource` | `fromDataSource(org.openxmlformats.schemas.drawingml.x2006.chart.CTAxDataSource categoryDS)`
    `static XDDFNumericalDataSource<java.lang.Double>` | `fromDataSource(org.openxmlformats.schemas.drawingml.x2006.chart.CTNumDataSource valuesDS)`
    `static XDDFNumericalDataSource<java.lang.Double>` | `fromNumericCellRange(XSSFSheet sheet, CellRangeAddress cellRangeAddress)`
    `static XDDFCategoryDataSource` | `fromStringCellRange(XSSFSheet sheet, CellRangeAddress cellRangeAddress)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### fromDataSource

          public static XDDFCategoryDataSource fromDataSource(org.openxmlformats.schemas.drawingml.x2006.chart.CTAxDataSource categoryDS)

    - #### fromDataSource

          public static XDDFNumericalDataSource<java.lang.Double> fromDataSource(org.openxmlformats.schemas.drawingml.x2006.chart.CTNumDataSource valuesDS)

    - #### fromArray

          public static <T extends java.lang.Number> XDDFNumericalDataSource<T> fromArray(T[] elements)

    - #### fromArray

          public static XDDFCategoryDataSource fromArray(java.lang.String[] elements)

    - #### fromArray

          public static <T extends java.lang.Number> XDDFNumericalDataSource<T> fromArray(T[] elements,
                                                                                          java.lang.String dataRange)

    - #### fromArray

          public static XDDFCategoryDataSource fromArray(java.lang.String[] elements,
                                                         java.lang.String dataRange)

    - #### fromArray

          public static <T extends java.lang.Number> XDDFNumericalDataSource<T> fromArray(T[] elements,
                                                                                          java.lang.String dataRange,
                                                                                          int col)

    - #### fromArray

          public static XDDFCategoryDataSource fromArray(java.lang.String[] elements,
                                                         java.lang.String dataRange,
                                                         int col)

    - #### fromNumericCellRange

          public static XDDFNumericalDataSource<java.lang.Double> fromNumericCellRange(XSSFSheet sheet,
                                                                                       CellRangeAddress cellRangeAddress)

    - #### fromStringCellRange

          public static XDDFCategoryDataSource fromStringCellRange(XSSFSheet sheet,
                                                                   CellRangeAddress cellRangeAddress)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.